Bug 1386611 - OSP10 - rabbitmq cluster_status shows nodedown alerts, list_queues / list_connections hang
Summary: OSP10 - rabbitmq cluster_status shows nodedown alerts, list_queues / list_con...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-tripleo
Version: 10.0 (Newton)
Hardware: All
OS: Linux
urgent
urgent
Target Milestone: rc
: 10.0 (Newton)
Assignee: Michele Baldessari
QA Contact: Asaf Hirshberg
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-10-19 09:53 UTC by Michele Baldessari
Modified: 2016-12-14 16:22 UTC (History)
19 users (show)

Fixed In Version: puppet-tripleo-5.3.0-3.el7ost
Doc Type: Bug Fix
Doc Text:
rabbitmqctl failed to function in an IPv6 environment due to a missing parameter. This fix modifies the RabbitMQ Puppet configuration and adds the missing parameter to /etc/rabbitmq/rabbitmq-env.conf. Now rabbitmqctl does not fail in IPv6 environments
Clone Of: 1384571
Environment:
Last Closed: 2016-12-14 16:22:15 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:2948 normal SHIPPED_LIVE Red Hat OpenStack Platform 10 enhancement update 2016-12-14 19:55:27 UTC
OpenStack gerrit 388529 None None None 2016-10-19 09:53:15 UTC
Launchpad 1633693 None None None 2016-10-19 09:53:15 UTC

Comment 2 Asaf Hirshberg 2016-11-06 09:02:12 UTC
Verified Using puppet-tripleo-5.3.0-4.el7ost.noarch.
Also verified that reboot doesn't affect it.

Cluster status of node 'rabbit@overcloud-controller-0' ...
[{nodes,[{disc,['rabbit@overcloud-controller-0',
                'rabbit@overcloud-controller-1',
                'rabbit@overcloud-controller-2']}]},
 {running_nodes,['rabbit@overcloud-controller-1',
                 'rabbit@overcloud-controller-2',
                 'rabbit@overcloud-controller-0']},
 {cluster_name,<<"rabbit@overcloud-controller-2.localdomain">>},
 {partitions,[]},
 {alarms,[{'rabbit@overcloud-controller-1',[]},
          {'rabbit@overcloud-controller-2',[]},
          {'rabbit@overcloud-controller-0',[]}]}]
[heat-admin@overcloud-controller-0 ~]$ exit

[heat-admin@overcloud-controller-1 ~]$ sudo rabbitmqctl cluster_status
Cluster status of node 'rabbit@overcloud-controller-1' ...
[{nodes,[{disc,['rabbit@overcloud-controller-0',
                'rabbit@overcloud-controller-1',
                'rabbit@overcloud-controller-2']}]},
 {running_nodes,['rabbit@overcloud-controller-0',
                 'rabbit@overcloud-controller-2',
                 'rabbit@overcloud-controller-1']},
 {cluster_name,<<"rabbit@overcloud-controller-2.localdomain">>},
 {partitions,[]},
 {alarms,[{'rabbit@overcloud-controller-0',[]},
          {'rabbit@overcloud-controller-2',[]},
          {'rabbit@overcloud-controller-1',[]}]}]
[heat-admin@overcloud-controller-1 ~]$ exit

[heat-admin@overcloud-controller-2 ~]$ sudo rabbitmqctl cluster_status
Cluster status of node 'rabbit@overcloud-controller-2' ...
[{nodes,[{disc,['rabbit@overcloud-controller-0',
                'rabbit@overcloud-controller-1',
                'rabbit@overcloud-controller-2']}]},
 {running_nodes,['rabbit@overcloud-controller-1',
                 'rabbit@overcloud-controller-0',
                 'rabbit@overcloud-controller-2']},
 {cluster_name,<<"rabbit@overcloud-controller-2.localdomain">>},
 {partitions,[]},
 {alarms,[{'rabbit@overcloud-controller-1',[]},
          {'rabbit@overcloud-controller-0',[]},
          {'rabbit@overcloud-controller-2',[]}]}]
[heat-admin@overcloud-controller-2 ~]$

Comment 4 errata-xmlrpc 2016-12-14 16:22:15 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-2948.html


Note You need to log in before you can comment on or make changes to this bug.